Summary: Dictionary base files for EnRus Dictionary Tools
Summary(ru):    EnRus Dictionary Tools
Name: enrus-data
Version: 19990718
Release: 2
Copyright: GPL
Source: http://enrus.antex.ru/download/%name-%version.tar.bz2
Url: http://enrus.antex.ru/home/index.html
Vendor: Stas Angler <angler@earthling.net>
Packager: Dmitry V. Levin <ldv@fandra.org>
Group: Development/Tools
Requires: enrus
BuildArchitectures: noarch
Prefix: %_prefix
BuildRoot: %_tmppath/%name-%version-root

%description
Dictionary base files for EnRus Dictionary Tools

%description(ru)
-  (   EnRus dictionary tools)
 
%prep
%setup -q

%build
# compress dictionary
for i in *_words; do
	bzip2 -9kf $i
	gzip -9nf $i
	SIZE_BZIP2=`/bin/ls -l $i.bz2|awk '{print $5}'`
	SIZE_GZIP=`/bin/ls -l $i.gz|awk '{print $5}'`
	[ "$SIZE_BZIP2" -ge "$SIZE_GZIP" ] && rm -f $i.bz2 || rm -f $i.gz
done

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%prefix/lib/enrus
install -p * $RPM_BUILD_ROOT%prefix/lib/enrus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(644,root,root) %prefix/lib/enrus/*

%changelog
* Wed Nov 03 1999 Dmitry V. Levin <ldv@fandra.org>
- optimal compression

* Mon Oct 25 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
